# Class CIM_LaunchInContextCapabilities
extends CIM_EnabledLogicalElementCapabilities

This class exposes the capabilities of the Launch in Context service.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_LaunchInContextCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | This class exposes the capabilities of the Launch in Context service.
UMLPackagePath | string | CIM::Core::LaunchInContext
Version | string | 2.27.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MaxLaunchPoints | uint16 | 0
Description | string | This property asserts the maximum number of CIM_LaunchInContextSAP instances that may be instantiated at one time within the modeled implementation. A zero indicates no defined limit.
MaxRestrictionListSize | uint16 | 0
Description | string | This property asserts the maximum accepted size of the RestrictedToElement array parameter used in the CIM_LaunchInContextService methods: CreateLaunchPoint, RemoveLaunchPoint, and AssertLaunchPoint. A zero indicates no defined limit.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods